Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Interface SmartEntityReference

All Known Implementing Classes:
  com.beasys.commerce.foundation.plugin.bmp.BMPSmartEntityReference, Order_customer_SmartEntityReference, Order_paymentTransaction_SmartEntityReference, PersistenceHelper.DefaultSmartEntityReference

Deprecated

    @Deprecated
    public interface SmartEntityReference

A smart handle optimizes the the use of handles for entity beans by storing a local copy of the primary key (SmartKey) for the BSC Entity. This optimizes one of the most commonly performed operations of retrieving the key without accessing the remote object. This also makes it possible to compare the entities referenced by the smart handles.

See Also
  `Entity`

Method Summary
`int` | `compareTo(javax.ejb.EJBObject ejbObject)` Deprecated
`int` | `compareTo(SmartEntityReference smartEntityReference)` Deprecated
`javax.ejb.EJBObject` | `getEJBObject()` Deprecated Returns the EJBObject.
`String` | `getJNDIName()` Deprecated
`void` | `setEJBObject(javax.ejb.EJBObject ejbObject)` Deprecated

Method Detail

### getEJBObject

    javax.ejb.EJBObject getEJBObject()

  Deprecated
  Returns the EJBObject. If the SmartHandle is empty, it returns null.

### setEJBObject

    void setEJBObject(javax.ejb.EJBObject ejbObject)

  Deprecated

### getJNDIName

    String getJNDIName()

  Deprecated

### compareTo

    int compareTo(javax.ejb.EJBObject ejbObject)

  Deprecated

### compareTo

    int compareTo(SmartEntityReference smartEntityReference)

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.